For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inBook a demo
Logo
  • Home
    • Introduction
    • How it Works
    • Integrating your BillPay / AP
  • Validate
    • GETFind Validation Jobs
    • POSTCreate Validation Job
    • GETGet Validation Job
  • Process
    • GETFind Process Jobs
    • POSTCreate Process Job
    • GETGet Process Job
  • Webhooks
    • POSTPayment Gateway Validation Job Completed
    • POSTPayment Gateway Process Job Completed
Sign inBook a demo
Validate

Get Validation Job

GET
https://api.mercoa.com/payment-gateway/validate/:jobId
GET
/payment-gateway/validate/:jobId
$curl https://api.mercoa.com/payment-gateway/validate/job_1a92b5f7-f522-435e-a953-fd649363730a \
> -H "Authorization: Bearer <token>"
1{
2 "jobStatus": "success",
3 "createdAt": "2024-01-01T00:00:00Z",
4 "jobId": "pgv_8f86116b-3b4d-4ded-99ef-3bc929d8c33c",
5 "updatedAt": "2024-01-01T00:00:00Z",
6 "card": {
7 "eligibility": "ACCEPTED",
8 "fee": {
9 "type": "percentage",
10 "value": 2.5
11 }
12 },
13 "gatewayAmount": 155.5,
14 "invoiceAmount": 150.75,
15 "paymentGatewayUrl": "https://www.payment-gateway.com/invoice/pgv_8f86116b-3b4d-4ded-99ef-3bc929d8c33c",
16 "vendorName": "Acme Corporation"
17}
Get the status of a payment gateway validation job
Was this page helpful?
Previous

Find Process Jobs

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

jobIdstringRequired
The ID of the payment gateway validation job

Response

This endpoint returns an object.
pendingobject
OR
successobject
OR
failedobject

Errors

400
Bad Request
401
Unauthorized
403
Forbidden
404
Not Found
409
Conflict
500
Internal Server Error
501
Unimplemented